<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_161) on Mon Oct 01 15:14:31 CEST 2018 -->
<title>G-Index</title>
<meta name="date" content="2018-10-01">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-6.html">Prev Letter</a></li>
<li><a href="index-8.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-7.html" target="_top">Frames</a></li>
<li><a href="index-7.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a href="index-22.html">Z</a>&nbsp;<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><a href="../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic"><span class="typeNameLink">Game</span></a> - Class in <a href="../ch/sebi/zuul/logic/package-summary.html">ch.sebi.zuul.logic</a></dt>
<dd>
<div class="block">This class is the main data class for the game.</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/Game.html#Game--">Game()</a></span> - Constructor for class ch.sebi.zuul.logic.<a href="../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a></dt>
<dd>
<div class="block">Create the game and initialise its internal map.</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/MainGame.html#game">game</a></span> - Variable in class ch.sebi.zuul.logic.<a href="../ch/sebi/zuul/logic/MainGame.html" title="class in ch.sebi.zuul.logic">MainGame</a></dt>
<dd>
<div class="block">The game instance</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/ui/menu/MenuItem.html#getAction--">getAction()</a></span> - Method in class ch.sebi.zuul.logic.ui.menu.<a href="../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a></dt>
<dd>
<div class="block">Returns hte action which is invoked if this menu is chosen</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/items/ItemSlot.html#getAmount--">getAmount()</a></span> - Method in class ch.sebi.zuul.logic.items.<a href="../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a></dt>
<dd>
<div class="block">Returns the amount of the item which is stored</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/items/items/weapon/BasicWeapon.html#getAttackedMessage-ch.sebi.zuul.logic.player.Player-ch.sebi.zuul.logic.player.Player-ch.sebi.zuul.logic.Game-">getAttackedMessage(Player, Player, Game)</a></span> - Method in class ch.sebi.zuul.logic.items.items.weapon.<a href="../ch/sebi/zuul/logic/items/items/weapon/BasicWeapon.html" title="class in ch.sebi.zuul.logic.items.items.weapon">BasicWeapon</a></dt>
<dd>
<div class="block">Returns the message which is printed when the weapon attacks an enemy.</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/exceptions/CommandNotFound.html#getCmdWord--">getCmdWord()</a></span> - Method in exception ch.sebi.zuul.exceptions.<a href="../ch/sebi/zuul/exceptions/CommandNotFound.html" title="class in ch.sebi.zuul.exceptions">CommandNotFound</a></dt>
<dd>
<div class="block">The command which wasn't found</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/CommandParser.html#getCommand-java.lang.String-">getCommand(String)</a></span> - Method in class ch.sebi.zuul.command.<a href="../ch/sebi/zuul/command/CommandParser.html" title="class in ch.sebi.zuul.command">CommandParser</a></dt>
<dd>
<div class="block">Returns the command element of a command.</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/CommandDiscoverer.DiscoveredCommand.html#getCommandName--">getCommandName()</a></span> - Method in class ch.sebi.zuul.command.<a href="../ch/sebi/zuul/command/CommandDiscoverer.DiscoveredCommand.html" title="class in ch.sebi.zuul.command">CommandDiscoverer.DiscoveredCommand</a></dt>
<dd>
<div class="block">Returns the command name</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/CommandParser.CommandElement.html#getCommandName--">getCommandName()</a></span> - Method in class ch.sebi.zuul.command.<a href="../ch/sebi/zuul/command/CommandParser.CommandElement.html" title="class in ch.sebi.zuul.command">CommandParser.CommandElement</a></dt>
<dd>
<div class="block">returns the command name</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/fight/Fight.html#getCommandParser--">getCommandParser()</a></span> - Method in class ch.sebi.zuul.logic.fight.<a href="../ch/sebi/zuul/logic/fight/Fight.html" title="class in ch.sebi.zuul.logic.fight">Fight</a></dt>
<dd>
<div class="block">Returns the command parser used in the fight</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/Game.html#getCommandParser--">getCommandParser()</a></span> - Method in class ch.sebi.zuul.logic.<a href="../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a></dt>
<dd>
<div class="block">Returns the main command parser</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/CommandParser.html#getCommands--">getCommands()</a></span> - Method in class ch.sebi.zuul.command.<a href="../ch/sebi/zuul/command/CommandParser.html" title="class in ch.sebi.zuul.command">CommandParser</a></dt>
<dd>
<div class="block">Returns all command elements which are reigstered in this command parser</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/map/Exit.html#getConditions--">getConditions()</a></span> - Method in class ch.sebi.zuul.logic.map.<a href="../ch/sebi/zuul/logic/map/Exit.html" title="class in ch.sebi.zuul.logic.map">Exit</a></dt>
<dd>
<div class="block">Returns all conditions which have to evaluate to true to make the exit open</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/Game.html#getCurrentFight--">getCurrentFight()</a></span> - Method in class ch.sebi.zuul.logic.<a href="../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a></dt>
<dd>
<div class="block">Returns the current fight or null there is no fight currently</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/Game.html#getCurrentRoom--">getCurrentRoom()</a></span> - Method in class ch.sebi.zuul.logic.<a href="../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a></dt>
<dd>
<div class="block">Returns the current room</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/items/items/weapon/BasicWeapon.html#getDamage--">getDamage()</a></span> - Method in class ch.sebi.zuul.logic.items.items.weapon.<a href="../ch/sebi/zuul/logic/items/items/weapon/BasicWeapon.html" title="class in ch.sebi.zuul.logic.items.items.weapon">BasicWeapon</a></dt>
<dd>
<div class="block">Returns the damage the weapon makes</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/map/Room.html#getDescription--">getDescription()</a></span> - Method in class ch.sebi.zuul.logic.map.<a href="../ch/sebi/zuul/logic/map/Room.html" title="class in ch.sebi.zuul.logic.map">Room</a></dt>
<dd>
<div class="block">Return the description of the room (the one that was defined
 in the constructor).</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/fight/Fight.html#getEnemies--">getEnemies()</a></span> - Method in class ch.sebi.zuul.logic.fight.<a href="../ch/sebi/zuul/logic/fight/Fight.html" title="class in ch.sebi.zuul.logic.fight">Fight</a></dt>
<dd>
<div class="block">Returns all enemies involved in the fight</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/map/Room.html#getEnemies--">getEnemies()</a></span> - Method in class ch.sebi.zuul.logic.map.<a href="../ch/sebi/zuul/logic/map/Room.html" title="class in ch.sebi.zuul.logic.map">Room</a></dt>
<dd>
<div class="block">Returns all enemies in this room</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/player/Player.html#getEquipedWeapon1--">getEquipedWeapon1()</a></span> - Method in class ch.sebi.zuul.logic.player.<a href="../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a></dt>
<dd>
<div class="block">Returns the equipped weapon in the first slot</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/player/Player.html#getEquipedWeapon2--">getEquipedWeapon2()</a></span> - Method in class ch.sebi.zuul.logic.player.<a href="../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a></dt>
<dd>
<div class="block">Returns the equipped weapon in the second slot</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/CommandDiscoverer.DiscoveredCommand.html#getExecutor--">getExecutor()</a></span> - Method in class ch.sebi.zuul.command.<a href="../ch/sebi/zuul/command/CommandDiscoverer.DiscoveredCommand.html" title="class in ch.sebi.zuul.command">CommandDiscoverer.DiscoveredCommand</a></dt>
<dd>
<div class="block">Returns the executor</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/CommandParser.CommandElement.html#getExecutor--">getExecutor()</a></span> - Method in class ch.sebi.zuul.command.<a href="../ch/sebi/zuul/command/CommandParser.CommandElement.html" title="class in ch.sebi.zuul.command">CommandParser.CommandElement</a></dt>
<dd>
<div class="block">Returns the executor of the command</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/CommandParser.html#getExecutor-java.lang.String-">getExecutor(String)</a></span> - Method in class ch.sebi.zuul.command.<a href="../ch/sebi/zuul/command/CommandParser.html" title="class in ch.sebi.zuul.command">CommandParser</a></dt>
<dd>
<div class="block">Returns the registered executor for the command word or null if the command doesn't exist</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/CommandDiscoverer.html#getExecutors--">getExecutors()</a></span> - Method in class ch.sebi.zuul.command.<a href="../ch/sebi/zuul/command/CommandDiscoverer.html" title="class in ch.sebi.zuul.command">CommandDiscoverer</a></dt>
<dd>
<div class="block">Returns all found commands.</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/CommandParser.html#getExecutors--">getExecutors()</a></span> - Method in class ch.sebi.zuul.command.<a href="../ch/sebi/zuul/command/CommandParser.html" title="class in ch.sebi.zuul.command">CommandParser</a></dt>
<dd>
<div class="block">Returns all commands which are registerd in this command parser</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/map/Room.html#getExit-java.lang.String-">getExit(String)</a></span> - Method in class ch.sebi.zuul.logic.map.<a href="../ch/sebi/zuul/logic/map/Room.html" title="class in ch.sebi.zuul.logic.map">Room</a></dt>
<dd>
<div class="block">Returns the exit if it exits or null</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/map/Room.html#getExits--">getExits()</a></span> - Method in class ch.sebi.zuul.logic.map.<a href="../ch/sebi/zuul/logic/map/Room.html" title="class in ch.sebi.zuul.logic.map">Room</a></dt>
<dd>
<div class="block">Returns all exits to where the user can go from this room</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/MainGame.html#getGame--">getGame()</a></span> - Method in class ch.sebi.zuul.logic.<a href="../ch/sebi/zuul/logic/MainGame.html" title="class in ch.sebi.zuul.logic">MainGame</a></dt>
<dd>
<div class="block">Returns the game instance</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/items/items/food/Food.html#getHeals--">getHeals()</a></span> - Method in class ch.sebi.zuul.logic.items.items.food.<a href="../ch/sebi/zuul/logic/items/items/food/Food.html" title="class in ch.sebi.zuul.logic.items.items.food">Food</a></dt>
<dd>
<div class="block">Returns how much the food heals</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/CommandDiscoverer.DiscoveredCommand.html#getHelp--">getHelp()</a></span> - Method in class ch.sebi.zuul.command.<a href="../ch/sebi/zuul/command/CommandDiscoverer.DiscoveredCommand.html" title="class in ch.sebi.zuul.command">CommandDiscoverer.DiscoveredCommand</a></dt>
<dd>
<div class="block">returns the help information</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/CommandParser.CommandElement.html#getHelp--">getHelp()</a></span> - Method in class ch.sebi.zuul.command.<a href="../ch/sebi/zuul/command/CommandParser.CommandElement.html" title="class in ch.sebi.zuul.command">CommandParser.CommandElement</a></dt>
<dd>
<div class="block">Returns the help information of the command</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/ui/menu/MenuItem.html#getId--">getId()</a></span> - Method in class ch.sebi.zuul.logic.ui.menu.<a href="../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a></dt>
<dd>
<div class="block">Returns the id.</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/IO.html#getIn--">getIn()</a></span> - Static method in class ch.sebi.zuul.logic.<a href="../ch/sebi/zuul/logic/IO.html" title="class in ch.sebi.zuul.logic">IO</a></dt>
<dd>
<div class="block">Returns the input stream of the game
 For all input which are ment for the player should be printed using this <code>PrintStream</code></div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/player/Player.html#getInventory--">getInventory()</a></span> - Method in class ch.sebi.zuul.logic.player.<a href="../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a></dt>
<dd>
<div class="block">Returns the inventory of the player</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/items/ItemSlot.html#getItem--">getItem()</a></span> - Method in class ch.sebi.zuul.logic.items.<a href="../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a></dt>
<dd>
<div class="block">Returns the item of the slot</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/map/Room.html#getItems--">getItems()</a></span> - Method in class ch.sebi.zuul.logic.map.<a href="../ch/sebi/zuul/logic/map/Room.html" title="class in ch.sebi.zuul.logic.map">Room</a></dt>
<dd>
<div class="block">Returns all items present in this room</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/ui/menu/Menu.html#getItems--">getItems()</a></span> - Method in class ch.sebi.zuul.logic.ui.menu.<a href="../ch/sebi/zuul/logic/ui/menu/Menu.html" title="class in ch.sebi.zuul.logic.ui.menu">Menu</a></dt>
<dd>
<div class="block">Returns all menu items of this menu in an array</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/map/Room.html#getItemSlot-ch.sebi.zuul.logic.items.Item-">getItemSlot(Item)</a></span> - Method in class ch.sebi.zuul.logic.map.<a href="../ch/sebi/zuul/logic/map/Room.html" title="class in ch.sebi.zuul.logic.map">Room</a></dt>
<dd>
<div class="block">Returns the item slot for the given item or null if the item does not exist</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/items/Inventory.html#getItemSlots--">getItemSlots()</a></span> - Method in class ch.sebi.zuul.logic.items.<a href="../ch/sebi/zuul/logic/items/Inventory.html" title="class in ch.sebi.zuul.logic.items">Inventory</a></dt>
<dd>
<div class="block">Returns all slots stored in the inventory</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/executors/normal/InventoryExecutor.html#getItemStatis-ch.sebi.zuul.logic.items.Item-">getItemStatis(Item)</a></span> - Method in class ch.sebi.zuul.command.executors.normal.<a href="../ch/sebi/zuul/command/executors/normal/InventoryExecutor.html" title="class in ch.sebi.zuul.command.executors.normal">InventoryExecutor</a></dt>
<dd>
<div class="block">returns the item statis (like usable or weapon) joined by ',' and wrapped in parentheses</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/player/Player.html#getLife--">getLife()</a></span> - Method in class ch.sebi.zuul.logic.player.<a href="../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a></dt>
<dd>
<div class="block">Returns how many lifes the player currently has</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/Game.html#getLoosingCondition--">getLoosingCondition()</a></span> - Method in class ch.sebi.zuul.logic.<a href="../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a></dt>
<dd>
<div class="block">Returns the loosing condition which has to evaluate to true to loos
 the game.</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/player/Player.html#getMaxLife--">getMaxLife()</a></span> - Method in class ch.sebi.zuul.logic.player.<a href="../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a></dt>
<dd>
<div class="block">Returns the maximal amount of life the player can have</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/items/Inventory.html#getMaxSlots--">getMaxSlots()</a></span> - Method in class ch.sebi.zuul.logic.items.<a href="../ch/sebi/zuul/logic/items/Inventory.html" title="class in ch.sebi.zuul.logic.items">Inventory</a></dt>
<dd>
<div class="block">Returns the max slot number valid in this inventory</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/condition/ItemInInventoryCondition.html#getMinimalAmount--">getMinimalAmount()</a></span> - Method in class ch.sebi.zuul.logic.condition.<a href="../ch/sebi/zuul/logic/condition/ItemInInventoryCondition.html" title="class in ch.sebi.zuul.logic.condition">ItemInInventoryCondition</a></dt>
<dd>
<div class="block">Returns the minimial amount of the item which is needed to evaluate to true</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/items/BasicItem.html#getName--">getName()</a></span> - Method in class ch.sebi.zuul.logic.items.<a href="../ch/sebi/zuul/logic/items/BasicItem.html" title="class in ch.sebi.zuul.logic.items">BasicItem</a></dt>
<dd>
<div class="block">Returns the name of the item</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/items/Item.html#getName--">getName()</a></span> - Method in interface ch.sebi.zuul.logic.items.<a href="../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a></dt>
<dd>
<div class="block">Returns the name of the item</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/map/Exit.html#getName--">getName()</a></span> - Method in class ch.sebi.zuul.logic.map.<a href="../ch/sebi/zuul/logic/map/Exit.html" title="class in ch.sebi.zuul.logic.map">Exit</a></dt>
<dd>
<div class="block">Returns the name which is displayed to the user to where he can go</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/player/Player.html#getName--">getName()</a></span> - Method in class ch.sebi.zuul.logic.player.<a href="../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a></dt>
<dd>
<div class="block">Returns the name of the player</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/condition/ItemInInventoryCondition.html#getNeededItem--">getNeededItem()</a></span> - Method in class ch.sebi.zuul.logic.condition.<a href="../ch/sebi/zuul/logic/condition/ItemInInventoryCondition.html" title="class in ch.sebi.zuul.logic.condition">ItemInInventoryCondition</a></dt>
<dd>
<div class="block">Returns the needed item</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/ui/menu/MenuItem.html#getNextId--">getNextId()</a></span> - Static method in class ch.sebi.zuul.logic.ui.menu.<a href="../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a></dt>
<dd>
<div class="block">Returns a unique id.</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/IO.html#getOut--">getOut()</a></span> - Static method in class ch.sebi.zuul.logic.<a href="../ch/sebi/zuul/logic/IO.html" title="class in ch.sebi.zuul.logic">IO</a></dt>
<dd>
<div class="block">Returns the output stream of the game.</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/IO.html#getParser--">getParser()</a></span> - Static method in class ch.sebi.zuul.logic.<a href="../ch/sebi/zuul/logic/IO.html" title="class in ch.sebi.zuul.logic">IO</a></dt>
<dd>
<div class="block">Returns the parser which uses the input stream of the game</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/Color.html#getPlatformStr--">getPlatformStr()</a></span> - Method in enum ch.sebi.zuul.logic.<a href="../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a></dt>
<dd>
<div class="block">Returns either the windows or the linux color, depending on the dedected platform</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/Game.html#getPlayer--">getPlayer()</a></span> - Method in class ch.sebi.zuul.logic.<a href="../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a></dt>
<dd>
<div class="block">Returns the current player</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/ui/input/Input.html#getPrompt--">getPrompt()</a></span> - Method in class ch.sebi.zuul.logic.ui.input.<a href="../ch/sebi/zuul/logic/ui/input/Input.html" title="class in ch.sebi.zuul.logic.ui.input">Input</a></dt>
<dd>
<div class="block">Returns the prompt text</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/ui/input/Input.html#getResult--">getResult()</a></span> - Method in class ch.sebi.zuul.logic.ui.input.<a href="../ch/sebi/zuul/logic/ui/input/Input.html" title="class in ch.sebi.zuul.logic.ui.input">Input</a></dt>
<dd>
<div class="block">Returns the entered result</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/map/Exit.html#getRoom--">getRoom()</a></span> - Method in class ch.sebi.zuul.logic.map.<a href="../ch/sebi/zuul/logic/map/Exit.html" title="class in ch.sebi.zuul.logic.map">Exit</a></dt>
<dd>
<div class="block">returns the room to which the exit goes</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/CommandDiscoverer.DiscoveredCommand.html#getScope--">getScope()</a></span> - Method in class ch.sebi.zuul.command.<a href="../ch/sebi/zuul/command/CommandDiscoverer.DiscoveredCommand.html" title="class in ch.sebi.zuul.command">CommandDiscoverer.DiscoveredCommand</a></dt>
<dd>
<div class="block">Returns the scope</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/CommandDiscoverer.html#getScope--">getScope()</a></span> - Method in class ch.sebi.zuul.command.<a href="../ch/sebi/zuul/command/CommandDiscoverer.html" title="class in ch.sebi.zuul.command">CommandDiscoverer</a></dt>
<dd>
<div class="block">Returns the scope of the commands which are discovered by this discoverer</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/CommandDiscoverer.html#getSearchPackage--">getSearchPackage()</a></span> - Method in class ch.sebi.zuul.command.<a href="../ch/sebi/zuul/command/CommandDiscoverer.html" title="class in ch.sebi.zuul.command">CommandDiscoverer</a></dt>
<dd>
<div class="block">Returns the package in which the discoverer searches</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/ui/menu/Menu.html#getSelectedItem--">getSelectedItem()</a></span> - Method in class ch.sebi.zuul.logic.ui.menu.<a href="../ch/sebi/zuul/logic/ui/menu/Menu.html" title="class in ch.sebi.zuul.logic.ui.menu">Menu</a></dt>
<dd>
<div class="block">Returns the menu item which was selected in the last <a href="../ch/sebi/zuul/logic/ui/menu/Menu.html#printAndWait-ch.sebi.zuul.logic.Game-"><code>Menu.printAndWait(Game)</code></a>.</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/items/Inventory.html#getSlot-int-">getSlot(int)</a></span> - Method in class ch.sebi.zuul.logic.items.<a href="../ch/sebi/zuul/logic/items/Inventory.html" title="class in ch.sebi.zuul.logic.items">Inventory</a></dt>
<dd>
<div class="block">Returns the slot with the given slot number or null if the slot doesn't exist yet</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/CommandDiscoverer.DiscoveredCommand.html#getSyntax--">getSyntax()</a></span> - Method in class ch.sebi.zuul.command.<a href="../ch/sebi/zuul/command/CommandDiscoverer.DiscoveredCommand.html" title="class in ch.sebi.zuul.command">CommandDiscoverer.DiscoveredCommand</a></dt>
<dd>
<div class="block">Returns the syntax</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/CommandParser.CommandElement.html#getSyntax--">getSyntax()</a></span> - Method in class ch.sebi.zuul.command.<a href="../ch/sebi/zuul/command/CommandParser.CommandElement.html" title="class in ch.sebi.zuul.command">CommandParser.CommandElement</a></dt>
<dd>
<div class="block">Returns the syntax of the command</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/condition/Condition.html#getText--">getText()</a></span> - Method in interface ch.sebi.zuul.logic.condition.<a href="../ch/sebi/zuul/logic/condition/Condition.html" title="interface in ch.sebi.zuul.logic.condition">Condition</a></dt>
<dd>
<div class="block">Returns what is needed to make the condition true</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/condition/ItemInInventoryCondition.html#getText--">getText()</a></span> - Method in class ch.sebi.zuul.logic.condition.<a href="../ch/sebi/zuul/logic/condition/ItemInInventoryCondition.html" title="class in ch.sebi.zuul.logic.condition">ItemInInventoryCondition</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/condition/NoExitCondition.html#getText--">getText()</a></span> - Method in class ch.sebi.zuul.logic.condition.<a href="../ch/sebi/zuul/logic/condition/NoExitCondition.html" title="class in ch.sebi.zuul.logic.condition">NoExitCondition</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/condition/RoomCondition.html#getText--">getText()</a></span> - Method in class ch.sebi.zuul.logic.condition.<a href="../ch/sebi/zuul/logic/condition/RoomCondition.html" title="class in ch.sebi.zuul.logic.condition">RoomCondition</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/ui/menu/MenuItem.html#getTitle--">getTitle()</a></span> - Method in class ch.sebi.zuul.logic.ui.menu.<a href="../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a></dt>
<dd>
<div class="block">Returns the tile of this menu item.</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/Color.html#getUnixStr--">getUnixStr()</a></span> - Method in enum ch.sebi.zuul.logic.<a href="../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a></dt>
<dd>
<div class="block">Returns the unix representation of the color</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/Color.html#getWindowStr--">getWindowStr()</a></span> - Method in enum ch.sebi.zuul.logic.<a href="../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a></dt>
<dd>
<div class="block">Returns the windows representation of the color</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/Game.html#getWinningCondition--">getWinningCondition()</a></span> - Method in class ch.sebi.zuul.logic.<a href="../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a></dt>
<dd>
<div class="block">Returns the winning winningCondition which has to evaluate to true</div>
</dd>
<dt><a href="../ch/sebi/zuul/command/executors/normal/GoExecutor.html" title="class in ch.sebi.zuul.command.executors.normal"><span class="typeNameLink">GoExecutor</span></a> - Class in <a href="../ch/sebi/zuul/command/executors/normal/package-summary.html">ch.sebi.zuul.command.executors.normal</a></dt>
<dd>
<div class="block">The executor for the go command</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/executors/normal/GoExecutor.html#GoExecutor--">GoExecutor()</a></span> - Constructor for class ch.sebi.zuul.command.executors.normal.<a href="../ch/sebi/zuul/command/executors/normal/GoExecutor.html" title="class in ch.sebi.zuul.command.executors.normal">GoExecutor</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a href="index-22.html">Z</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-6.html">Prev Letter</a></li>
<li><a href="index-8.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-7.html" target="_top">Frames</a></li>
<li><a href="index-7.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
